ColumnType (LogKit API)
Keywords: org.apache.log.output.db.ColumnType,ColumnType class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.db
Class ColumnType

    java.lang.Object
      |
      +--org.apache.log.output.db.ColumnType

public class ColumnType
extends Object

A class to hold all constants for ColumnTypes.

Author:
  Peter Donald

Field Summary
`static int` | `CATEGORY`
`static String` | `CATEGORY_STR`
`static int` | `CONTEXT`
`static String` | `CONTEXT_STR`
`static int` | `HOSTNAME`
`static String` | `HOSTNAME_STR`
`static int` | `MESSAGE`
`static String` | `MESSAGE_STR`
`static int` | `PRIORITY`
`static String` | `PRIORITY_STR`
`static int` | `RELATIVE_TIME`
`static String` | `RELATIVE_TIME_STR`
`static int` | `STATIC`
`static String` | `STATIC_STR` The maximum value used for TYPEs.
`static int` | `THROWABLE`
`static String` | `THROWABLE_STR`
`static int` | `TIME`
`static String` | `TIME_STR`

Constructor Summary
`ColumnType()`

Method Summary
`static int` | `getTypeIdFor(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### CATEGORY

    public static final int CATEGORY

See Also:
  Constant Field Values

### CONTEXT

    public static final int CONTEXT

See Also:
  Constant Field Values

### MESSAGE

    public static final int MESSAGE

See Also:
  Constant Field Values

### TIME

    public static final int TIME

See Also:
  Constant Field Values

### RELATIVE_TIME

    public static final int RELATIVE_TIME

See Also:
  Constant Field Values

### THROWABLE

    public static final int THROWABLE

See Also:
  Constant Field Values

### PRIORITY

    public static final int PRIORITY

See Also:
  Constant Field Values

### HOSTNAME

    public static final int HOSTNAME

See Also:
  Constant Field Values

### STATIC_STR

    public static final String STATIC_STR

  The maximum value used for TYPEs. Subclasses can define their own TYPEs starting at `MAX_TYPE + 1`.

  See Also:
    Constant Field Values

### CATEGORY_STR

    public static final String CATEGORY_STR

See Also:
  Constant Field Values

### CONTEXT_STR

    public static final String CONTEXT_STR

See Also:
  Constant Field Values

### MESSAGE_STR

    public static final String MESSAGE_STR

See Also:
  Constant Field Values

### TIME_STR

    public static final String TIME_STR

See Also:
  Constant Field Values

### RELATIVE_TIME_STR

    public static final String RELATIVE_TIME_STR

See Also:
  Constant Field Values

### THROWABLE_STR

    public static final String THROWABLE_STR

See Also:
  Constant Field Values

### PRIORITY_STR

    public static final String PRIORITY_STR

See Also:
  Constant Field Values

### HOSTNAME_STR

    public static final String HOSTNAME_STR

See Also:
  Constant Field Values

Constructor Detail

### ColumnType

    public ColumnType()

Method Detail

### getTypeIdFor

    public static int getTypeIdFor(String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.